function results = m_hist_nonoverlaping(mh)
%% PURPOSE: Get non-overlaping m-surrounding from a specific full overlaping m-surrounding
% --------------------------------------------------------
% USAGE: 
% where: mh = Sxm matrix with m-sourrounding (use m_hist0.m)
%             where S = number of non-overlaping m-surrounding
%        
% --------------------------------------------------------
%  RETURNS: non-overlaping m-surrounding
% --------------------------------------------------------
% SEE ALSO: m_hist0.m
% --------------------------------------------------------
%
% written by:
%
% Fernando A. Lopez Hernandez
% Facultad de C.C. de la Empresa
% Dpto. Metodos Cuantitativos e Informaticos
% Universidad Politecnica de Cartagena
% e-mail: fernando.lopez@upct.es

n=length(mh);

k=1;
mhss(1,:)=mh(1,:);
listanegra=mh(1,:);

for i=2:n
    if sum(ismember(listanegra,mh(i,:)))==0;
        k=k+1; mhss(k,:)=mh(i,:);
        listanegra=[listanegra mh(i,:)];
    end
end
    
results=mhss;